0.8.0 + fancyindex = error

Adrian Perez de Castro the.lightman at gmail.com
Tue Jun 2 22:15:57 MSD 2009

On Tue, 2 Jun 2009 19:25:15 +0200, Grzegorz wrote:

> I have problem during make with nginx 0.8.0 and fancyindex module.
> [...]

I have still not updated the module to work with 0.8.0 -- in fact I
even had not time to take a look at the new version; but I will ;-)

> Error that I get [...]
> `ngx_http_request_t, has no member named `utf8,

Looks like a changed structure member name, should be easy to fix. I
will try to look at it ASAP (now I am at work, sorry)
> btw. fancyindex module site in wiki is not up to date, links are dead.
> I got fancyindex from this site:
> http://github.com/damm/nginx-fancyindex/tree/master

I have updated the URLs, they should be okay now.
> I'm not so skillfull to correct this ^^. And maybe small question. Is
> it possible to add to nginx fancyindex functionality without compiling
> with extra module?

As far as I know, there are no plans to include fancyindex in the
core... but maybe I am wrong and Igor has something to said regarding
that ;-)

I have been happy adding the module when building, as I use mostly
Gentoo and I have some custom ebuilds in an overlay so the package gets
the module included when installing it.


Adrian Perez de Castro
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 197 bytes
Desc: not available
URL: <http://nginx.org/pipermail/nginx/attachments/20090602/52be8d66/attachment.pgp>

More information about the nginx mailing list